import { HttpStatus, HttpException } from '@nestjs/common';
import { EstadoInmuebleService } from './estado-inmueble.service';
import { CreateEstadoInmuebleDto } from './dto/create-estado-inmueble.dto';
import { UpdateEstadoInmuebleDto } from './dto/update-estado-inmueble.dto';
export declare class EstadoInmuebleController {
    private estadoInmuebleService;
    constructor(estadoInmuebleService: EstadoInmuebleService);
    getEstadoInmuebleAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
    }>;
    getEstadoInmueble(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getEstadoInmuebleById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createEstadoInmueble(newEstadoInmueble: CreateEstadoInmuebleDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateEstadoInmueble(id: number, estadoInmueble: UpdateEstadoInmuebleDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteEstadoInmueble(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
